#ifndef __MENUHANDLER__
#define __MENUHANDLER__

#define appleMenu		1
#define M_CLOSEFRONT	2

typedef void	(*menuProc)( MenuHandle menu, short itemID, short param );
typedef OSErr	(*DoMenuCommandFnPtr)( CWindowPtr theWindow, short itemID );

typedef struct
{
	short				itemID;
	short				menu;
	short				item;
	DoMenuCommandFnPtr	fMenuFunction;
	long				fEnableRequirements;
} MENUFUNCTIONS;

extern MENUFUNCTIONS menuTable[];

/*
// Prototypes from 'MenuHandler.c'
*/
void					SetupMenuBar(short startMenu, short endMenu);
void					SetupMenuItems(void);
void					ProcessMenuSelection( long menuResult );
void					CheckOneItem( short itemID, short groupSize );
OSErr					CloseFrontWindow(CWindowPtr window, short item);
void					AddItemIDtoTable( short itemID, short menu, short item );

#endif
